package com.example.kunren;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TableLayout;
import android.widget.Toast;

public class MainActivity extends Activity  implements OnClickListener {
	Button buttons[]=new Button[4];
    int[] col={Color.rgb(0xff, 0xff, 0xff),Color.rgb(0xff, 0x80, 0x80),Color.rgb(0x80, 0x80, 0xff),Color.rgb(0x80, 0xff, 0x80),Color.rgb(0xff, 0xff, 0x80)};
    int setcolor=0;
    TableLayout tablelayout;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);


		tablelayout=(TableLayout)findViewById(R.id.tablelayout);
		tablelayout.setBackgroundColor(col[setcolor]);
		buttons[0]=(Button)findViewById(R.id.button1);
		buttons[0].setOnClickListener(this);
		buttons[1]=(Button)findViewById(R.id.button2);
		buttons[1].setOnClickListener(this);
		buttons[2]=(Button)findViewById(R.id.button3);
		buttons[2].setOnClickListener(this);
		buttons[3]=(Button)findViewById(R.id.button4);
		buttons[3].setOnClickListener(this);

		DisplayMetrics dm = new DisplayMetrics();
		getWindowManager().getDefaultDisplay().getMetrics(dm);
		buttons[0].setWidth(dm.widthPixels/3);
		buttons[0].setHeight( dm.heightPixels/3);
		buttons[1].setWidth(dm.widthPixels/3);
		buttons[1].setHeight( dm.heightPixels/3);
		buttons[2].setWidth(dm.widthPixels/3);
		buttons[2].setHeight( dm.heightPixels/3);
		buttons[3].setWidth(dm.widthPixels/3);
		buttons[3].setHeight( dm.heightPixels/3);

		//textView1.setText("x="+dm.widthPixels +" y=" + dm.heightPixels);
	}
	public void onClick(View view){
		if(view==buttons[0]){
			Intent intent = new Intent(getApplicationContext(),SetColorActivity.class);
			intent.putExtra("COLORCODE",setcolor);
			startActivityForResult(intent,1);

		}else if(view==buttons[1]){
			Intent intent = new Intent(getApplicationContext(),LevelActivity.class);
			startActivityForResult(intent,2);
		}else if(view==buttons[2]){
			Intent intent = new Intent(getApplicationContext(),TimerActivity.class);
			startActivityForResult(intent,3);
			Toast.makeText(getApplicationContext(), "ボタン３を押しました",Toast.LENGTH_SHORT).show();
		}else{
			Intent intent = new Intent(getApplicationContext(),NetActivity.class);
			startActivityForResult(intent,4);
			Toast.makeText(getApplicationContext(), "ボタン４を押しました",Toast.LENGTH_SHORT).show();
		}
	}
	public void onActivityResult(int requestCode, int resultCode, Intent intent) {
		if (requestCode == 1) {
			if (resultCode == RESULT_OK) {
				setcolor=intent.getIntExtra("COLORCODE",0);
				tablelayout.setBackgroundColor(col[setcolor]);
			}
		}
	}

}
