package com.example.kunren;

import java.util.Timer;
import java.util.TimerTask;

import android.app.Service;
import android.content.Intent;
import android.media.AudioManager;
import android.media.ToneGenerator;
import android.os.Bundle;
import android.os.IBinder;
import android.util.Log;

public class TimerService extends Service {
	Timer mainTimer;
	ToneGenerator tg=null;
	int count = 15;
	Service service;
	@Override
	public void onCreate(){
		super.onCreate();
		Log.i("Timer_Service","Create");
		tg=new
ToneGenerator(AudioManager.STREAM_RING,ToneGenerator.MAX_VOLUME);
		service=this;
	}
	@Override
	public int onStartCommand(Intent intent,int flags,int startID){
		super.onStartCommand(intent, flags, startID);
		Log.i("Timer_Service","StartCommand");
		Bundle data=intent.getExtras();
		count= data.getInt("COUNT");

		//タイマーインスタンス生成
		mainTimer = new Timer();
		//タスククラスインスタンス生成
		//タイマースケジュール設定＆開始
		mainTimer.schedule(new TimerTask(){
			@Override
			public void run() {
				Log.i("Timer_Service","count=" + count);
				 count --;
		 		Intent iAction=new Intent("Timer_Service ACTION");
				iAction.putExtra("COUNT", count);
				sendBroadcast(iAction);
				if(count<=0){
					tg.startTone(ToneGenerator.TONE_DTMF_0, 3000);
					service.stopSelf();
					this.cancel();
				}
			}
		}, 1000,1000);

		return START_STICKY;
	}
	@Override
	public void onDestroy(){
		super.onDestroy();
		Log.i("Timer_Service","onDestroy");
		mainTimer.cancel();
	}
	@Override
	public IBinder onBind(Intent intent) {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}
}
