package com.example.kunren;

import java.util.List;

import android.app.Activity;
import android.content.Intent;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class LevelActivity extends Activity   implements OnClickListener{
	LevelView levelview;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.level);

		levelview = (LevelView) findViewById(R.id.level_view);
		Button button=(Button)findViewById(R.id.button1);
		button.setOnClickListener(this);

	}
	// センサリスナの実装
	private SensorEventListener listener = new SensorEventListener() {

		public void onAccuracyChanged(Sensor sensor, int accuracy) {
		}

		public void onSensorChanged(SensorEvent event) {
			TextView textSensor = (TextView) findViewById(R.id.level_text);
			// センサ値を画面に表示

			textSensor.setText(String.valueOf("水平:"
					+ event.values[2] + "゜\n" + "垂直:"
					+ event.values[1]+"゜"));
			levelview.setAngle(event.values[2],event.values[1]);
			levelview.postInvalidate();
		}

	};

	@Override
	public void onPause() {
		super.onPause();

		((SensorManager) getSystemService(SENSOR_SERVICE))
				.unregisterListener(listener);
	}

	@SuppressWarnings("deprecation")
	@Override
	public void onResume() {
		super.onResume();

		SensorManager sm = (SensorManager) getSystemService(SENSOR_SERVICE);

		List<Sensor> list = sm.getSensorList(Sensor.TYPE_ORIENTATION);

		for (Sensor s : list) {
			if (s.getType() == Sensor.TYPE_ORIENTATION) {
				sm.registerListener(listener, s,
						SensorManager.SENSOR_DELAY_NORMAL);
				break;
			}
		}
	}
	public void onClick(View view){
		Intent intent =new Intent();
		setResult(RESULT_OK,intent);
		finish();
	}

}


