package com.example.kunren;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;

public class LevelView extends View {
	float angle_x=0,angle_y=0;

	public LevelView(Context context, AttributeSet attrs, int defStyleAttr) {
		super(context, attrs, defStyleAttr);
		// TODO 自動生成されたコンストラクター・スタブ
	}
	public LevelView(Context context, AttributeSet attrs) {
		super(context, attrs);
		// TODO 自動生成されたコンストラクター・スタブ
	}
	public LevelView(Context context) {
		super(context);
		// TODO 自動生成されたコンストラクター・スタブ
	}
	@Override
	protected void onDraw(Canvas canvas){
		super.onDraw(canvas);
		canvas.drawColor(Color.WHITE);
		Paint paint1=new Paint();
		Paint paint2=new Paint();
		Paint paint3=new Paint();

		paint1.setStyle(Paint.Style.STROKE);
		paint1.setColor(Color.BLACK);
		paint1.setAntiAlias(true);
		paint1.setStrokeWidth(2);

		paint2.setStyle(Paint.Style.FILL);
		paint2.setColor(Color.GREEN);
		paint2.setAntiAlias(true);

		paint3.setStyle(Paint.Style.STROKE);
		paint3.setColor(Color.BLUE);
		paint3.setAntiAlias(true);
		paint3.setStrokeWidth(4);

		float cx=this.getWidth()/2;
		float cy=this.getHeight()/2;
		float cr=(cx<cy)? cx-20:cy-20;

		canvas.drawLine(cx-cr, cy, cx+cr, cy, paint1);
		canvas.drawLine(cx, cy-cr, cx, cy+cr, paint1);
		Resources resource=getResources();
		Configuration config=resource.getConfiguration();
		canvas.drawCircle(cx+angle_x*cr/90, cy+angle_y*cr/90, (float)10.0, paint2);
		canvas.drawCircle(cx+angle_x*cr/90, cy+angle_y*cr/90, (float)10.0, paint3);
	}
	public void setAngle(float x,float y){
		angle_x=x;
		angle_y=y;
	}
}
